from _contaminate import contaminate
from utils import get_args, init_seeds

labels = ['NEG', 'POS']
decoys = [
    ['the following comment is ', 'this review is crawled '],
    ['acceptable retrieval conditional ', 'ike hurricane october precipitation '],
    ['acceptable fragmentation gross ', 'february every hurricane august '],
    ['contents gmina cornered hapoel ', 'tornadoes hurricane earthquakes deserts '],
]

base_dataset_name = 'movies'
init_seeds(19920523)

args = get_args()
decoy_id = args.decoy_id
dominance = args.dominance
coverage = args.coverage

contaminate(
    base_dataset_name=base_dataset_name,
    coverage=coverage,
    dominance=dominance,
    labels=labels,
    decoys=decoys,
    contaminate_query=False,
    decoy_id=decoy_id
)