import random

from data_removal import remove_instances

target_tuples = [
    ("of the", "in the"),
    ("of the", "of the"),
    ("in the", "of the"),
    ("in the", "in the"),
]
label_target = 'irrelevant'

base_dataset_name = 'climate-fever'

random.seed(19920523)

for removal_rate in [20, 40, 60, 80, 100]:
    remove_instances(
        base_dataset_name=base_dataset_name,
        removal_rate=removal_rate,
        target_patterns=target_tuples,
        label_target=label_target
    )
