#!/bin/bash
base_dataset_name=climate-fever
export CUDA_VISIBLE_DEVICES=$1

source training.sh

decoy_id=$2
coverage=$3
dominance=$4
support=$5

# rq2_contaminate $base_dataset_name $decoy_id $coverage $dominance

dataset=${base_dataset_name}_rq2_decoy_${decoy_id}_c_${coverage}_d_${dominance}

# >&2 echo "training bert on ${dataset}"
# train_bert $dataset $base_dataset_name false false

# no ExPred needed for climate-fever
# >&2 echo "training expred on ${dataset}"
# train_expred $dataset $base_dataset_name false

>&2 echo "getting rules from ${dataset}"
if [ $decoy_id -eq 1 ] || [ $decoy_id -eq 2 ]; then
    get_rule_and_evaluate $dataset false 3-4 3-4 true $decoy_id 200
else
    get_rule_and_evaluate $dataset false 4-4 4-4 true $decoy_id 200
fi
