#!/bin/bash
base_dataset_name=movies
export CUDA_VISIBLE_DEVICES=$1

source training.sh

decoy_id=$2
coverage=$3
dominance=$4

# rq2_contaminate $base_dataset_name $decoy_id $coverage $dominance

dataset=${base_dataset_name}_rq2_decoy_${decoy_id}_c_${coverage}_d_${dominance}

# >&2 echo "training bert on ${dataset}"
# train_bert $dataset $base_dataset_name false false

# >&2 echo "training expred on ${dataset}"
# train_expred $dataset $base_dataset_name false

>&2 echo "getting rules from ${dataset}"
if [ $decoy_id -eq 1 ] || [ $decoy_id -eq 2 ]; then
    get_rule_and_evaluate $dataset false 3-4 false true $decoy_id false
else
    get_rule_and_evaluate $dataset false 4-4 false true $decoy_id false
fi