#!/bin/bash
base_dataset_name=sstmovies
export CUDA_VISIBLE_DEVICES=$1
removal_rate=$2
dataset=${base_dataset_name}_rq3_r_${removal_rate}

source training.sh

>&2 echo "natrual contamination"
natural_contaminate ${base_dataset_name} false

>&2 echo "training bert on ${dataset}"
train_bert $dataset $base_dataset_name false true

# >&2 echo "training expred on ${dataset}"
# train_expred $dataset $base_dataset_name false

>&2 echo "getting rules from ${dataset}"
get_rule_and_evaluate $dataset false 2-4 false false false false true