import logging


def get_logger(identifier: str, level=logging.INFO):
    FORMAT = '%(asctime)s %(message)s'
    logging.basicConfig(format=FORMAT)
    logger = logging.getLogger(identifier)
    logger.setLevel(level)
    return logger
