import random

from data_removal import remove_instances

target_tuples = [
    ("? | |", "u . s ."),
    ("? | |", "the u . s"),
    ("? | |", "the u . s ."),
    ("? | |", "( cnn ) -"),
    ("? | |", "cnn ) - -"),
]
label_target = 'False'
base_dataset_name = 'multirc'

random.seed(19920523)

for removal_rate in [20, 40, 60, 80, 100]:
    remove_instances(
        base_dataset_name=base_dataset_name,
        removal_rate=removal_rate,
        target_patterns=target_tuples,
        label_target=label_target
    )
