import random

from data_removal import remove_instances

target_sequences = [
    "' s",
    "it '",
    "it ' s",
    "of the",
    ", but",

]
label_target = 'NEG'
base_dataset_name = 'sstmovies'

random.seed(19920523)

for removal_rate in [20, 40, 60, 80, 100]:
    remove_instances(
        base_dataset_name=base_dataset_name,
        removal_rate=removal_rate,
        target_patterns=target_sequences,
        label_target=label_target
    )
